package eu.maiora.model

import eu.maiora.db.*
import org.jetbrains.exposed.sql.insertAndGetId

class PrenotazioniPastiDettaglioRepositoryImpl : PrenotazioniPastiDettaglioRepository {
    override suspend fun  insert(prenotazionePastoDettaglio : PrenotazioniPastiDettaglio): PrenotazioniPastiDettaglio = suspendTransaction {
        // Inserisci un nuovo dettaglio di una prenotazione pasto
        // ID non definito: viene gestito dalla sequence
        val idPrenPastiDettInserted = PrenotazioniPastiDettaglioTable.insertAndGetId {
            it[idPrenotazione] = prenotazionePastoDettaglio.idPrenotazione
            it[idProdotto] = prenotazionePastoDettaglio.idProdotto
            it[idStato] = prenotazionePastoDettaglio.idStato
        }.value

        PrenotazioniPastiDettaglio(
            idPrenPastiDettInserted,
            prenotazionePastoDettaglio.idPrenotazione,
            prenotazionePastoDettaglio.idProdotto,
            prenotazionePastoDettaglio.idStato
        )
    }
}